Package Details: onvifviewer 0.13-2

Git Clone URL: https://aur.archlinux.org/onvifviewer.git (read-only, click to copy)
Package Base: onvifviewer
Description: ONVIF camera viewer for Plasma Mobile and Linux desktop
Upstream URL: None
Licenses: GPL3
Submitter: KokaKiwi
Maintainer: sgar
Last Packager: sgar
Votes: 7
Popularity: 0.000005
First Submitted: 2019-09-26 20:28 (UTC)
Last Updated: 2021-06-07 16:14 (UTC)

Latest Comments

1 2 Next › Last »

effeffe commented on 2024-02-05 12:23 (UTC)

Please update dependencies as follow:

''' depends=( 'qt5-base' 'kdsoap-qt5' 'breeze-icons' 'kxmlgui5' 'kdsoap-ws-discovery-client' 'kirigami2' 'qtav' ) makedepends=( 'cmake' 'make' 'extra-cmake-modules' 'ki18n5' 'kcoreaddons5' 'appstream-qt5' ) '''

git is part of base-devel

cyqsimon commented on 2024-01-31 14:03 (UTC)

@sgar can you please update this package? Its dependencies need to be updated to have the 5 suffix, and it's failing to compile when Qt6 libraries are installed. Much thanks.

simona commented on 2023-11-11 21:28 (UTC)

CMake Error: The INTERFACE_QT_MAJOR_VERSION property of "Qt6::Core" does not agree with the value of QT_MAJOR_VERSION already determined

Popolon commented on 2022-11-25 08:49 (UTC)

Thank you very much for packaging it :). Please add the Upstream URL in the PKGBUILD:

url='https://gitlab.com/caspermeijn/onvifviewer/'

add some tags like "onvif camera IPcamera tethering" in this page tags could help too.

FudgeFace commented on 2022-07-21 10:34 (UTC) (edited on 2022-07-21 10:36 (UTC) by FudgeFace)

This package has a missing decency on extra/qt5-multimedia.

RefSnow commented on 2021-09-22 11:22 (UTC) (edited on 2021-09-22 11:22 (UTC) by RefSnow)

➜  ~ onvifviewer 
Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.
QQmlApplicationEngine failed to load component
qrc:/main.qml:40:9: Type DeviceViewerPage unavailable
qrc:/DeviceViewerPage.qml:234:9: Type OnvifCameraViewer unavailable
qrc:/OnvifCameraViewer.qml:17:1: module "QtMultimedia" is not installed

Does anyone have any suggestions on how I can fix this error?

freebench commented on 2021-08-31 18:21 (UTC)

Installed fine

hashworks commented on 2021-06-06 12:43 (UTC)

==> Retrieving sources...
  -> Downloading onvifviewer-v0.13.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  760k    0  760k    0     0  1976k      0 --:--:-- --:--:-- --:--:-- 1974k
==> Validating source files with sha256sums...
    onvifviewer-v0.13.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!

Correct hashsum seems to be 3a55022f59a9a8c3ccacc6bb8d7f7e329157c3034001c528530751ae7cb2cad2.

andreys1986 commented on 2020-10-23 13:16 (UTC)

Thank you dear friend. You helped a lot, reinstalled one package and everything worked.

eri commented on 2020-10-18 12:35 (UTC)

Deps needed

kcoreaddons kxmlgiu ki18n